Package org.apache.sling.cms.core.internal.filters

## Class CMSSecurityConfigInstance

- java.lang.Object
- - org.apache.sling.cms.core.internal.filters.CMSSecurityConfigInstance

    public class CMSSecurityConfigInstance
    extends Object

### Constructor Summary

Constructors
`CMSSecurityConfigInstance()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(CMSSecurityFilterConfig config)`
`boolean` `applies​(javax.servlet.http.HttpServletRequest request)`
`String` `getGroupName()`
`boolean` `isUriAllowed​(String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSSecurityConfigInstance

    public CMSSecurityConfigInstance()

### Method Detail

#### activate

    public void activate​(CMSSecurityFilterConfig config)

#### applies

    public boolean applies​(javax.servlet.http.HttpServletRequest request)

#### getGroupName

    public String getGroupName()

#### isUriAllowed

    public boolean isUriAllowed​(String uri)